<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ôn tập Html Css</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css">
</head>

<body>
    <!-- 1. Header - Navbar menu -->
    <nav class="main-header navbar navbar-expand navbar-white navbar-light">
        <!-- Left navbar links -->
        <ul class="navbar-nav ml-auto">
            <li class="nav-item d-none d-sm-inline-block">
                <h4 href="#" class="nav-link text-primary font-weight-bold">Weather App </h4>
            </li>
        </ul>

        <!-- Right navbar links -->
        <ul class="navbar-nav m-auto">
            <!-- Navbar Search -->
            <li class="nav-item">
                <a href="#" class="nav-link text-primary">Current</a>
            </li>
            <li class="nav-item">
                <a href="#" class="nav-link text-primary">Forecast</a>
            </li>
        </ul>
    </nav>
    <!-- /.navbar -->

    <!-- 2. Slide body -->
    <!-- Content Header (Page header) -->
    <div class="container-fluid">
        <div class="row">
            <div class="col-sm-12 d-flex align-items-center justify-content-center bg-primary" style="height: 200px;">
                <div class="form-group">
                    <h2 class="text-white">Get Weather Forecast</h2>
                </div>
            </div>
        </div>
    </div>

    <!-- 3. Courses content -->
    <!-- Content -->

    <div class="container">
        <div class="row text-center m-3">
            <div class="col-sm-12">
                <h5>
                    <p class="text-primary">Enter City Name</p>
                </h5>
            </div>
        </div>
        <div class="row">
            <div class="col-sm-12 form-group d-flex justify-content-center ">
                <input id="inp-city" class="form-control w-25 mx-2" type="text" placeholder="Enter City Name">
                <button id="btn-search" class="btn btn-primary">Search City</button>
            </div>
        </div>
        <div class="row d-flex justify-content-center">
            <div class="col-sm-6">
                <div id="div-weather" class="container bg-primary text-white" style="border-radius:10px;">

                </div>
            </div>
        </div>
    </div>
    <!--Toast thông báo nhập dữ liệu-->
    <div id="toast-data" class="toast">
        <div class="toast-header">
            Thông báo
        </div>
        <div class="toast-body">
            Hãy nhập đủ dữ liệu
        </div>
    </div>
    <!-- Footer -->
    <div class="container-fluid footer bg-primary fixed-bottom d-flex justify-content-center align-items-center"
        style="height: 40px;">
        <div class="row ">
            <span class="text-white">Copyright © Weather App</span>
        </div>
    </div>


</body>
<script>
    // Vùng khai báo global
    $(document).ready(function () {

        $('#btn-search').on('click', function () {
            onBtnSearchCity()
        })
        // Hàm xử lý sự kiện các phần tử
        function onBtnSearchCity() {
            "use strict";
            var vNameCity = {
                nameCity: "",

            }

            //B1: Thu thập dữ liệu
            getDataNameCity(vNameCity);
            console.log(vNameCity);
            //B2: validate
            var vCheck = validateData(vNameCity);
            if (vCheck) {
                //B3:Gọi api
                callApiGetData(vNameCity)
            }
        }
        // Hàm chưa xử lý các sự kiện

        // Vùng xử lý sự kiện dùng chung toàn bộ
        function getDataNameCity(paramData) {
            "use strict";
            paramData.nameCity = $('#inp-city').val();
        }

        function validateData(paramData) {
            "use strict";
            if (paramData.nameCity == "") {
                $('#toast-data').toast('show')
                return false;
            }
            return true;
        }

        function callApiGetData(paramCity) {
            "use strict";
            $.ajax({
                url: 'http://api.openweathermap.org/data/2.5/weather?q=' + paramCity.nameCity + "&units=metric" +
                    "&APPID=c10bb3bd22f90d636baa008b1529ee25",
                type: "GET",
                dataType: "json",
                success:function(data){
                    var vContent = `<h2 class='text-center'>Current Weather for ${data.name}, ${data.sys.country}</h2>
                        Weather: ${data.weather[0].main} <br>
                        Description: <img src=http://openweathermap.org/img/w/${data.weather[0].icon}.png> ${data.weather[0].description} <br>
                        Temperature: ${data.main.temp}&deg;C  <br>
                        Pressure: ${data.main.pressure} hpa <br> 
                        Humidity: ${data.main.humidity}% <br>
                        Min Temperature: ${data.main.temp_min}&deg;C <br> 
                        Max Temperature: ${data.main.temp_max}&deg;C <br>
                        Wind Speed: ${data.wind.speed}m/s <br>
                        Wind Direction: ${data.wind.deg}&deg;`
                        $('#div-weather').append(vContent);
                },
                error:function(error){
                    alert(error.status);
                }
            })
        }
    })
</script>

</html>